#ifndef djPageControlH
#define djPageControlH

#include <SysUtils.hpp>
#include <Classes.hpp>
#include <ComCtrls.hpp>
#include <Controls.hpp>

enum TFpcStyle {fpcNormal = 0, fpcFlat};


class PACKAGE TdjPageControl : public TPageControl
   {
   __published:
      __property TFpcStyle LookAndFeel = {read = lookAndFeel, write = SetLookAndFeel, default = fpcFlat};

   public:
      __fastcall TdjPageControl(TComponent* Owner);

   virtual void __fastcall WndProc(Messages::TMessage &Message);

   private:
      void __fastcall SetLookAndFeel(TFpcStyle style);

      TFpcStyle lookAndFeel;
   };


#endif   // djPageControlH

